Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Attributes | Friends
tlp::BooleanProperty Class Reference
Properties

`#include <BooleanProperty.h>`

Inheritance diagram for tlp::BooleanProperty:
[legend]
Collaboration diagram for tlp::BooleanProperty:
[legend]

List of all members.

## Public Member Functions

- BooleanProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- std::string getTypename () const
- void reverse ()
- void reverseEdgeDirection ()
- Iterator< node > * getNodesEqualTo (const bool val, Graph *g=0)
- Iterator< edge > * getEdgesEqualTo (const bool val, Graph *g=0)

## Static Public Attributes

- static const std::string propertyTypename

## Friends

- class BooleanAlgorithm

## Friends And Related Function Documentation

friend class BooleanAlgorithm`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2012